export default function Button({ className = '', disabled, children, btnDanger = false, actionTitle = 'Processando...', ...props }) {
    const baseClass = `flex justify-center rounded-lg ${!btnDanger ? 'bg-primary' : 'bg-danger'} px-4 py-1 text-[.74rem] font-semibold leading-6 text-text-white focus-visible:outline focus-visible:outline-2 focus-visible:outline-offset-2 hover:opacity-90 `;

    const disabledClass = disabled ? 'opacity-80 cursor-not-allowed' : `${!btnDanger ? 'hover:bg-primary' : 'hover:bg-danger'}`;

    return (
        <button {...props} className={`${baseClass} ${disabledClass} ${className}`} disabled={disabled}>
            {disabled ? (
                <>
                    <svg className="mr-3 h-5 w-5 animate-spin text-white" xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24">
                        <circle className="opacity-35" cx="12" cy="12" r="10" stroke="currentColor" strokeWidth="4"></circle>
                        <path className="opacity-85" fill="currentColor" d="M4 12a8 8 0 018-8V0C5.373 0 0 5.373 0 12h4zm2 5.291A7.962 7.962 0 014 12H0c0 3.042 1.135 5.824 3 7.938l3-2.647z"></path>
                    </svg>
                    <span className="font-semibold">{actionTitle}</span>
                </>
            ) : (
                children
            )}
        </button>
    );
}
